crashpad::test::ScopedModuleHandle Class Reference

Maintains ownership of a loadable module handle, releasing it as appropriate on destruction. More...

`#include "test/scoped_module_handle.h"`

## Public Types

using | ModuleHandle = Impl::ModuleHandle

## Public Member Functions

| ScopedModuleHandle (ModuleHandle handle)
| ScopedModuleHandle (ScopedModuleHandle &&handle)
ModuleHandle | get () const
bool | valid () const
template<typename T >
T | LookUpSymbol (const char *symbol_name) const

## Detailed Description

Maintains ownership of a loadable module handle, releasing it as appropriate on destruction.

## Member Function Documentation

## get()

ModuleHandle crashpad::test::ScopedModuleHandle::get | ( |  | ) | const

inline

Returns
  The module handle being managed.

## LookUpSymbol()

template<typename T >

T crashpad::test::ScopedModuleHandle::LookUpSymbol | ( | const char * | symbol_name | ) | const

inline

Returns
  The value of the symbol named by symbol_name, or `nullptr` on failure.

## valid()

bool crashpad::test::ScopedModuleHandle::valid | ( |  | ) | const

inline

Returns
  `true` if this object manages a valid loadable module handle.

The documentation for this class was generated from the following files:

- test/scoped_module_handle.h
- test/scoped_module_handle.cc